> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Wallets

> Get all wallets for a project.



## OpenAPI

````yaml get /v1/projects/wallets
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/projects/wallets:
    get:
      tags:
        - wallets
      summary: Fetch Wallets
      description: Get all wallets for a project.
      responses:
        '200':
          description: Returns a list of wallets for a project.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectWalletsResponse'
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    ProjectWalletsResponse:
      type: array
      items:
        $ref: '#/components/schemas/ProjectWalletResponse'
    ProjectWalletResponse:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        address:
          type: string
        type:
          $ref: '#/components/schemas/WalletType'
        custody:
          $ref: '#/components/schemas/Custody'
        project_id:
          type: string
          format: uuid
      required:
        - id
        - created_at
        - updated_at
        - address
        - type
        - custody
        - project_id
    WalletType:
      type: string
      enum:
        - Polkadot
    Custody:
      type: string
      enum:
        - user-controlled
        - custodial
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````